MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026359Community[OCCT] OCCT:Modeling Datapublic2015-06-22 05:502015-10-23 20:51
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026359: Revolution shape of Parabola Curve has no triangles
DescriptionThe shape uploaded is a revolution face of parabola curve. The problem is that the shape has no triangles and it just show the wireframe even in shaded mode.
Steps To ReproduceThe problem is reproducible only in Debug mode.

pload MODELING VISUALIZATION
vinit View1
vclear
vaxo
vsetdispmode 1
restore Parabola.brep p
vdisplay p
vfit
trinfo p
TagsNo tags attached.
Test case numberbugs moddata_3 bug26359
Attached Files? file icon Parabola.brep (839 bytes) 2015-06-22 05:50
png file icon NoTriangles.png (6,464 bytes) 2015-06-22 05:52

- Relationships

-  Notes
(0042292)
git (administrator)
2015-06-22 09:56

Branch CR26359 has been created by kgv.

SHA-1: 5d34e32b26b81a90f61632bf4c0ce650985d9640


Detailed log of new commits:

Author: kgv
Date: Mon Jun 22 09:56:02 2015 +0300

    0026359: Revolution shape of Parabola Curve has no triangles
    
    Adaptor3d_IsoCurve::Circle() - prevent parallel check with NULL-vector
(0042293)
kgv (developer)
2015-06-22 09:57

The problem can reproduced only in debug mode.
(0042294)
kgv (developer)
2015-06-22 09:58

Please check proposed solution in branch CR26359.
(0042297)
Vico Liang (developer)
2015-06-22 11:33

Dear kgv, I have checked the issue with your patch. The problem is resolved.
(0042314)
msv (developer)
2015-06-22 15:19

Reviewed.
(0042319)
git (administrator)
2015-06-22 16:34

Branch CR26359 has been updated by mkv.

SHA-1: 47ca1dfae803354903e467334f8e120958132945


Detailed log of new commits:

Author: mkv
Date: Mon Jun 22 16:33:54 2015 +0300

    Test case for issue CR26359

(0042339)
mkv (tester)
2015-06-23 12:04

Dear BugMaster,
Branch CR26359 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 47ca1dfae803354903e467334f8e120958132945

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26359-master-occt-64/Debian70-64/bugs/moddata_3/bug26359.html [^]
http://occt-tests/CR26359-master-occt-64/Windows-64-VC10/bugs/moddata_3/bug26359.html [^]

http://occt-tests/CR26359-master-occt-64-deb/Debian70-64/bugs/moddata_3/bug26359.html [^]
http://occt-tests/CR26359-master-occt-64-deb/Windows-64-VC10/bugs/moddata_3/bug26359.html [^]
bugs moddata_3 bug26359: OK

Testing on Linux:
occt component :
Total MEMORY difference: 97188319 / 98211722 [-1.04%]
Total CPU difference: 18097.670000000024 / 18518.25000000014 [-2.27%]
products component :
Total MEMORY difference: 24176008 / 24306506 [-0.54%]
Total CPU difference: 7963.690000000016 / 7856.900000000035 [+1.36%]

Testing on Windows:
occt component :
Total MEMORY difference: 56654467 / 56840008 [-0.33%]
Total CPU difference: 17302.195710798947 / 17645.366710598853 [-1.94%]
products component :
Total MEMORY difference: 15545996 / 15550884 [-0.03%]
Total CPU difference: 6126.440071799979 / 6414.932721099968 [-4.50%]

There are no differences in images found by testdiff.
(0044226)
git (administrator)
2015-08-14 10:58

Branch CR26359 has been deleted by inv.

SHA-1: 47ca1dfae803354903e467334f8e120958132945

- Related Changesets
occt: master 34fbe249
Timestamp: 2015-06-25 09:47:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026359: Revolution shape of Parabola Curve has no triangles

Adaptor3d_IsoCurve::Circle() - prevent parallel check with NULL-vector

Test case for issue CR26359
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug26359 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-22 05:50 Vico Liang New Issue
2015-06-22 05:50 Vico Liang Assigned To => kgv
2015-06-22 05:50 Vico Liang File Added: Parabola.brep
2015-06-22 05:52 Vico Liang File Added: NoTriangles.png
2015-06-22 08:47 kgv Steps to Reproduce Updated View Revisions
2015-06-22 09:54 kgv Category OCCT:Visualization => OCCT:Modeling Data
2015-06-22 09:54 kgv Summary Revolution shape of Parabola Curve has no triangles. => Revolution shape of Parabola Curve has no triangles
2015-06-22 09:56 git Note Added: 0042292
2015-06-22 09:57 kgv Note Added: 0042293
2015-06-22 09:57 kgv Steps to Reproduce Updated View Revisions
2015-06-22 09:58 kgv Note Added: 0042294
2015-06-22 09:58 kgv Assigned To kgv => msv
2015-06-22 09:58 kgv Status new => resolved
2015-06-22 11:33 Vico Liang Note Added: 0042297
2015-06-22 15:19 msv Note Added: 0042314
2015-06-22 15:19 msv Assigned To msv => bugmaster
2015-06-22 15:19 msv Status resolved => reviewed
2015-06-22 15:41 mkv Assigned To bugmaster => mkv
2015-06-22 16:34 git Note Added: 0042319
2015-06-23 12:04 mkv Note Added: 0042339
2015-06-23 12:04 mkv Assigned To mkv => bugmaster
2015-06-23 12:04 mkv Status reviewed => tested
2015-06-23 12:04 mkv Test case number => bugs moddata_3 bug26359
2015-06-26 13:42 bugmaster Changeset attached => occt master 34fbe249
2015-06-26 13:42 bugmaster Status tested => verified
2015-06-26 13:42 bugmaster Resolution open => fixed
2015-08-14 10:58 git Note Added: 0044226
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker